API Guide Home (Online version only) |

# palmOneCamera.h File Reference

## Detailed Description

Public 68K include file for camera support for Treo 650 devices. This version of the library adds functionality for Zire72, and Treo 650.

Version:
  3.0

Notes: The calling application should always load this library with SysLibLoad() before use, even if it is already open by another application(ie, SysLibFind() returns a valid refnum). When the application is done with the library, it should be unloaded with SysLibRemove(). We do this because there is no good way to synchronize loading and unloading of libraries among multiple applications. It also greatly simplifies internal synchronization.

Definition in file palmOneCamera.h.

Include dependency graph for palmOneCamera.h:

Go to the source code of this file.

## Defines

- #define CAM_LIB_TRAP(trapNum) SYS_TRAP(trapNum)

## Functions

- Err CamLibOpen (UInt16 refNum)
- Err CamLibClose (UInt16 refNum)
- Err CamLibSleep (UInt16 refNum)
- Err CamLibWake (UInt16 refNum)
- Err CamLibGetVersion (UInt16 refNum, UInt32 sdkVersion, UInt32 *libVersionP)
- Err CamLibControl (UInt16 refNum, CamLibControlType cmdId, void *parameterP)

## Define Documentation

#define CAM_LIB_TRAP | ( | trapNum |  | ) | SYS_TRAP(trapNum)

Definition at line 38 of file palmOneCamera.h.

## Function Documentation

Err CamLibClose | ( | UInt16 | refNum | ) |

Closes the Camera Manager.

Library should always be unloaded with SysLibRemove() after CamLibClose() is called. See note at top of file.

Parameters:

  | refNum,: | IN: Library reference number.

Return values:

  | Err | Error code.

Err CamLibControl | ( | UInt16 | refNum,
|  | CamLibControlType | cmdId,
|  | void * | parameterP |
| ) |  |  |

Check or set a Camera property.

Parameters:

  | refNum,: | IN: Library reference number.
  | cmdId,: | IN: The control command used to check or set the camera property.
  | parameterP,: | IN: Pointer to a parameter based on the control command type.

Return values:

  | Err | Error code.

Err CamLibGetVersion | ( | UInt16 | refNum,
|  | UInt32 | sdkVersion,
|  | UInt32 * | libVersionP |
| ) |  |  |

Checks the version of the Camera Manager Library.

Parameters:

  | refNum,: | IN: Library reference number.
  | sdkVersion,: | IN: The version the application expects.
  | libVersionP,: | OUT: The actual version of the library.

Return values:

  | Err | Error code.

Err CamLibOpen | ( | UInt16 | refNum | ) |

Standard library open routine.

Library should always be loaded with SysLibLoad()(not SysLibFind()) before calling CamLibOpen(). See note at top of file.

Parameters:

  | refNum,: | IN: Library reference number.

Return values:

  | Err | Error code.

Err CamLibSleep | ( | UInt16 | refNum | ) |

Standard library sleep function.

Parameters:

  | refNum,: | IN: Library reference number.

Return values:

  | Err | Error code.

Err CamLibWake | ( | UInt16 | refNum | ) |

Standard library wake function.

Parameters:

  | refNum,: | IN: Library reference number.

Return values:

  | Err | Error code.

Top | Palm Developer Network © 2004-2008, Palm, Inc. All rights reserved. Generated on Fri Jun 13 10:07:45 2008 for Palm API Guide